import sys
import urllib
import urllib2
import json

sys.path.append("scripts")
from process import send_to_mv

def link(address, username, objects):
    # Read out all symbol tables that are to be linked
    definers = {}
    users = {}
    flush_data(address, [3, "link_and_load"] + objects + ["", "main"], username)

    v = urllib2.urlopen(urllib2.Request(address, urllib.urlencode({"op": "get_output", "username": username}))).read()
    v = json.loads(v)
    if "OK" not in v:
        print(v)
        raise Exception("Linking error")

if __name__ == "__main__":
    if len(sys.argv) == 1:
        print("No username defined")
    else:
        address = sys.argv[1]
        username = sys.argv[2]
        objects = set(sys.argv[3:])

        if objects:
            link(address, username, objects)
        else:
            print("No files to link defined")
